Subject: Re: bug#53729: 29.0.50; Tamil text not shaped in modeline

From: Visuwesh <[email-masked]>
Date: Fri, 18 Feb 2022 18:50:47 +0530

[வெள்ளி, பிப்ரவரி 18 2022] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 18 Feb 2022 17:33:05 +0530
>> 
>> I have not tried reproducing it in other systems but I did try latest
>> master, and the text is still not shaped.  However, I just noticed that
>> I missed this warning message that was written to stdout (which is
>> mostly why I did not notice it) when I close Emacs:
>> 
>>     Warning: Missing charsets in String to FontSet conversion
>> 
>> I tried quickly grepping for "Missing charsets" and "Warning: " in Emacs
>> git repo but I don't see this particular warning in the results.
>
> This is not an Emacs warning.

Ah, I assumed it was from Emacs since it contained "fontset" and
"charsets".

> Searching for it on the Internet brings these pages, please see if
> anything there is relevant to your setup:
>
>   https://www.ibm.com/support/pages/using-gui-results-missing-charsets-string-fontset-conversion-warning
>   https://access.redhat.com/solutions/409033
>   https://superuser.com/questions/1531413/getting-warning-missing-charsets-in-string-to-fontset-conversion
>   https://gromnitsky.blogspot.com/2021/05/missing-charsets-in-string-to-fontset.html
>
> After skimming those, it seems to be related to the X font setup, so
> maybe it is relevant to the display problems you see.  Not sure.

Hmm, I tried setting LC_CTYPE=C which removed the warning but the
incorrect text shaping still persists...  I will try reproducing in
other systems and report back.